package de.hdm_stuttgart.mi.sd1;

/**
 * Sample project modeling after https://codingbat.com/prob/p160543.
 */

public class AlarmClock {

    /**
     * Given a day of the week encoded as 0=Sun, 1=Mon, 2=Tue, ...6=Sat, and a boolean indicating if we are on vacation,
     * return a string of the form "7:00" indicating when the alarm clock should ring. Weekdays, the alarm should be
     * "7:00" and on the weekend it should be "10:00". Unless we are on vacation -- then on weekdays it should be
     * "10:00" and weekends it should be "off".
     *
     * @param day Day's number within week: 0 for Sunday, 1 for Monday and so on.
     * @param vacation true when on vacation, false otherwise.
     * @return Alarm bell time: Either of "7:00", "10:00" or "off".
     */
    static public String alarmClock(int day, boolean vacation) {
        switch (day) {
            case 1:
            case 2:
            case 3:
            case 4:
                if (vacation) {
                    return "10:00";
                } else {
                    return "7:00";
                }
        }
        if (vacation) {
            return "off";
        } else {
            return "10:00";
        }
    }
}
